> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /dhgate/stores/products

> List the products of a DHgate store (seller) by store id or store URL. Returns the same product cards as product search (id, title, image, price, minimum order, units sold, rating, seller feedback and store), and supports an in-store keyword search and sorting.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/dhgate/stores/products
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/dhgate/stores/products:
    post:
      tags:
        - /dhgate
      summary: /dhgate/stores/products
      description: >-
        List the products of a DHgate store (seller) by store id or store URL.
        Returns the same product cards as product search (id, title, image,
        price, minimum order, units sold, rating, seller feedback and store),
        and supports an in-store keyword search and sorting.


        **Price:** 1 credit
      operationId: __api_dhgate_stores_products_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DhgateStoresProductsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DhgateSearchProduct'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DhgateStoresProductsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        currency:
          $ref: '#/components/schemas/DhgateCurrency'
          default: USD
        ship_to_country:
          $ref: '#/components/schemas/DhgateShipCountry'
          default: US
        store:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        sort:
          $ref: '#/components/schemas/DhgateSort'
          default: best_match
      type: object
      required:
        - store
        - count
    DhgateSearchProduct:
      properties:
        '@type':
          type: string
          default: DhgateSearchProduct
        id:
          type: string
        product_id:
          anyOf:
            - type: string
            - type: 'null'
        product_url:
          anyOf:
            - type: string
            - type: 'null'
        product_title:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        price_text:
          anyOf:
            - type: string
            - type: 'null'
        original_price_text:
          anyOf:
            - type: string
            - type: 'null'
        measure:
          anyOf:
            - type: string
            - type: 'null'
        min_order:
          anyOf:
            - type: string
            - type: 'null'
        min_order_quantity:
          anyOf:
            - type: integer
            - type: 'null'
        is_free_shipping:
          type: boolean
          default: false
        units_sold:
          anyOf:
            - type: integer
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        seller_feedback_percent:
          anyOf:
            - type: number
            - type: 'null'
        discount:
          anyOf:
            - type: number
            - type: 'null'
        is_ad:
          type: boolean
          default: false
        store_id:
          anyOf:
            - type: string
            - type: 'null'
        store_alias:
          anyOf:
            - type: string
            - type: 'null'
        store_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    DhgateCurrency:
      type: string
      enum:
        - USD
        - EUR
        - GBP
        - CAD
        - AUD
        - JPY
        - RUB
        - BRL
        - INR
        - MXN
        - KRW
        - TRY
        - SEK
        - NOK
        - DKK
        - PLN
        - CHF
        - NZD
        - SGD
        - HKD
        - THB
        - ILS
        - AED
        - SAR
        - ZAR
        - CZK
    DhgateShipCountry:
      type: string
      enum:
        - US
        - GB
        - CA
        - AU
        - DE
        - FR
        - IT
        - ES
        - NL
        - BE
        - SE
        - 'NO'
        - DK
        - FI
        - IE
        - PT
        - PL
        - CH
        - AT
        - CZ
        - GR
        - RU
        - BR
        - MX
        - CL
        - AR
        - JP
        - KR
        - CN
        - HK
        - TW
        - SG
        - MY
        - TH
        - ID
        - PH
        - VN
        - IN
        - AE
        - SA
        - IL
        - TR
        - ZA
        - NZ
    DhgateSort:
      type: string
      enum:
        - best_match
        - orders
        - newest
        - price_low_to_high
        - price_high_to_low
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````